datablock TSShapeConstructor(GramfelDts)
{
	baseShape = "./gramfel.dts";
	sequence0 = "./pla_root.dsq root";
	sequence1 = "./pla_root.dsq run";
	sequence2 = "./pla_root.dsq walk";
	sequence3 = "./pla_root.dsq back";
	sequence4 = "./pla_root.dsq side";
	sequence5 = "./pla_root.dsq crouch";
	sequence6 = "./pla_root.dsq crouchRun";
	sequence7 = "./pla_root.dsq crouchBack";
	sequence8 = "./pla_root.dsq crouchSide";
	sequence9 = "./pla_root.dsq look";
	sequence10 = "./pla_root.dsq headside";
	sequence11 = "./pla_root.dsq headUp";
	sequence12 = "./pla_root.dsq jump";
	sequence13 = "./pla_root.dsq standjump";
	sequence14 = "./pla_root.dsq fall";
	sequence15 = "./pla_root.dsq land";
	sequence16 = "./pla_root.dsq armAttack";
	sequence17 = "./pla_root.dsq armReadyLeft";
	sequence18 = "./pla_root.dsq armReadyRight";
	sequence19 = "./pla_root.dsq armReadyBoth";
	sequence20 = "./pla_root.dsq spearready";
	sequence21 = "./pla_root.dsq spearThrow";
	sequence22 = "./pla_root.dsq talk";
	sequence23 = "./gram_death.dsq death1";
	sequence24 = "./pla_root.dsq shiftUp";
	sequence25 = "./pla_root.dsq shiftDown";
	sequence26 = "./pla_root.dsq shiftAway";
	sequence27 = "./pla_root.dsq shiftTo";
	sequence28 = "./pla_root.dsq shiftLeft";
	sequence29 = "./pla_root.dsq shiftRight";
	sequence30 = "./pla_root.dsq rotCW";
	sequence31 = "./pla_root.dsq rotCCW";
	sequence32 = "./pla_root.dsq undo";
	sequence33 = "./pla_root.dsq plant";
	sequence34 = "./pla_root.dsq sit";
	sequence35 = "./pla_root.dsq wrench";
	sequence36 = "./pla_root.dsq activate";
	//sequence37 = "./pla_root.dsq activate2";
	//sequence38 = "./pla_root.dsq leftrecoil";
};
datablock PlayerData(GramArmor : PlayerNoJet)
{
	showEnergyBar = true;
	minJetEnergy = 2;
	jetEnergyDrain = 5;
	canJet = 1;
	
	shapeFile = "./gramfel.dts";
	maxDamage = 400;
	//category ="vehicles";
	runforce = 100 * 90;
	maxForwardSpeed = 8;
	maxBackwardSpeed = 6;
	maxSideSpeed = 6;
	jumpForce = 1100;
	cameradefaultFOV = 90;
	cameraMaxFov = 120;
	cameraMinFov = 10;
	//minlookangle = -1.5;
	//maxlookangle = 1.5;
	BrickDestroyMaxVolume = 250;
	BrickMaxJumpHeight = 20;
	uiName = "Gramfel";
	ridable = false;
	canRide = true;
	randomwalk = 1;
	aimatplayer = 0;
	SpecialAttack = 0;
	NoBloodyHands = 1;
	DoNotZombify = 1;
	chance = 40;
	paintable = false;
	jetEmitter = "";
	jetGroundEmitter = "";
	

	boundingBox		= vectorScale("2.4 2.4 3", 2);
	crouchBoundingBox       = vectorScale("2.4 2.4 3", 2);
	proneBoundingBox        = vectorScale("2.4 2.4 3", 2);

};

package gramle
{
	function player::changeDatablock(%this,%datablock)
	{
		parent::changeDatablock(%this,%datablock);
		if(%datablock.getName() $= "GramArmor")
		{
			%body = getWords(%this.client.headColor,0,2) SPC 1;
			%box = getWords(%this.client.hipColor,0,2) SPC 1;
			%stripe = getWords(%this.client.chestColor,0,2) SPC 1;
			%outline = getWords(%this.client.packColor,0,2) SPC 1;
			%skin = getWords(%this.client.hatColor,0,2) SPC 1;
			%nose = getWords(%this.client.secondPackColor,0,2) SPC 1;
			%white = "1 1 1 1";
			%this.setNodeColor(body,%body);
			%this.setNodeColor(box,%box);
			%this.setNodeColor(stripe,%stripe);
			%this.setNodeColor(skin,%skin);
			%this.setNodeColor(outline,%outline);
			%this.setNodeColor(nose,%nose);
			%this.setNodeColor(white,%white);
		}
	}

	function gameConnection::applyBodyColors(%this)
	{
		parent::applyBodyColors(%this);
		if(%this.player.getDatablock().getName() $= "GramArmor")
		{
			%c = %this;
			%this = %c.player;
			%body = getWords(%this.client.headColor,0,2) SPC 1;
			%box = getWords(%this.client.hipColor,0,2) SPC 1;
			%stripe = getWords(%this.client.chestColor,0,2) SPC 1;
			%outline = getWords(%this.client.packColor,0,2) SPC 1;
			%skin = getWords(%this.client.hatColor,0,2) SPC 1;
			%nose = getWords(%this.client.secondPackColor,0,2) SPC 1;
			%white = "1 1 1 1";
			%this.setNodeColor(body,%body);
			%this.setNodeColor(box,%box);
			%this.setNodeColor(stripe,%stripe);
			%this.setNodeColor(skin,%skin);
			%this.setNodeColor(outline,%outline);
			%this.setNodeColor(nose,%nose);
			%this.setNodeColor(white,%white);
		}
	}
};
deactivatepackage(gramle);
activatepackage(gramle);
